QGIS Application - Bug report #8959
wms failing to show valid epsg:4326 layers in QGIS2 (working in 1.8)
2013-10-28 02:16 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17623
Description

When strk asked for a epgs:4326 wms service, | thought to show him the osgeo-wms service url:

http://vmap0.tiles.osgeo.org/wms/vmap0

After the getcapabilities, in QGIS 2.0 the layers-dialog show NAD83 with all layers.
But when selecting epsg:4326 (which IS a valid srs according to the capabilities):

http://vmap0.tiles.osgeo.org/wms/vmap0?LAYERS=basic&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetCapabilities

all layers are greyed out (and not selectable).
Both in QGIS 2.0 as in current master.

In QGIS1.8 it is working normally IF i tick both Ignore Get* checkboxes. If ommiting this, you'll receive a mapserver error msg back).
A valid epsg:4326 map is shown here.

Related issues:

Duplicates QGIS Application - Bug report # 8298: CRS change with recently use... Closed 2013-07-14
History

#1 - 2013-10-28 02:39 AM - Richard Duivenvoorde

- File 01.png added

some more testing (see screenshot).

| had a CRS-selector dialog which showed EPSG:900913 and EPSG:4326 in the upper (recently used crs's) panel. So | clicked that one (as | do normally |
think). and you will end up with the message 'no CRS selected'.

BUT if | search for EPSG:4326 and select it in the lower panel | get a map.

#2 - 2013-10-28 02:41 AM - Richard Duivenvoorde
- Status changed from Open to Closed

nobody can confirm it. So it seems that my crs selector lists of the 'recently used crs's' and the list from the lower panel are in one way or another not linked

anymore?

Will close this one.
#3 - 2013-10-28 05:37 AM - Paolo Cavallini

- Status changed from Closed to Reopened

| confirm it here, not only on WMS.

#4 - 2013-10-28 05:50 AM - Giovanni Manghi

if it is a regression tag this as blocker, thanks.

#5 - 2013-10-28 07:03 AM - Jukka Rahkonen

Works for me with QGIS 2.0.1 on 32-bit Windows with no troubles when using EPSG:4326.

#6 - 2013-10-28 01:53 PM - Giovanni Manghi

- Category changed from Web Services clients/WMS to GUI

- Status changed from Reopened to Feedback

- Target version set to Future Release - High Priority

Richard Duivenvoorde wrote:

some more testing (see screenshot).

| had a CRS-selector dialog which showed EPSG:900913 and EPSG:4326 in the upper (recently used crs's) panel. So | clicked that one (as | do
normally I think). and you will end up with the message ‘'no CRS selected'.

BUT if | search for EPSG:4326 and select it in the lower panel | get a map.

Hi Richard,

now from this description | understand better the issue.

This has nothing to do with WMS (as Paolo said).

The things that right now in many CRS selection dialogs, when choosing the CRS from the "last used list" it WON'T work.

You must click one, the click another... the second time it works.

Selecting the CRS from the complete list in the bottom half of the dialog it works always.

This is duplicate of another ticket that | can't find right now.

Please close this as soon as you find the other one. Cheers!

#7 - 2013-10-28 02:17 PM - Richard Duivenvoorde
- Status changed from Feedback to Closed
| think you mean #8298

will close this one
